/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef DOWNLOADERTEST_H
#define DOWNLOADERTEST_H

#include <QObject>
#include <QtTest>
#include <QProcess>
#include <QTemporaryDir>
#include <QSignalSpy>
#include "downloader.h"

class DownloaderTest: public QObject
{
    Q_OBJECT

    void startServer(QString additionalOptions = QString());

private:
    QProcess serverProc;
    QTemporaryDir serverConfigDir;
    QFileInfo garbageInfo;

public Q_SLOTS:
    void downloaderError(const QString &message, SSLConnection::ErrorCode error);

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void testNewList();
    void testNoConnection();
    void testOtherCertificate();
    void testNewSoftware();
};
#endif

